SFML 3.0.2
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Music::Span< T > Struct Template Reference

Structure defining a time range using the template type. More...

`#include <SFML/Audio/Music.hpp>`

## Public Attributes

T | offset {}
| The beginning offset of the time range.
T | length {}
| The length of the time range.

## Detailed Description

template<typename T>
struct sf::Music::Span< T >

Structure defining a time range using the template type.

Definition at line 60 of file Music.hpp.

## Member Data Documentation

## ◆ length

template<typename T>

T sf::Music::Span< T >::length {}

The length of the time range.

Definition at line 63 of file Music.hpp.

## ◆ offset

template<typename T>

T sf::Music::Span< T >::offset {}

The beginning offset of the time range.

Definition at line 62 of file Music.hpp.

The documentation for this struct was generated from the following file:

- Music.hpp